classification
Title: python -m test --randseed 1234 does not randomize tests
Type: behavior Stage: needs patch
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: flox Nosy List: flox, georg.brandl, python-dev, terry.reedy
Priority: normal Keywords:

Created on 2013-07-06 10:09 by flox, last changed 2013-10-13 18:08 by georg.brandl. This issue is now closed.

Messages (4)
msg192401 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2013-07-06 10:09
I noticed a minor issue with regrtest.

IMHO it should assume --randomize when you pass --randseed.
msg192406 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-06 10:28
New changeset 5bd3f9ed357e by Florent Xicluna in branch '3.3':
Issue #18375: Assume --randomize when --randseed is used for running the testsuite.
http://hg.python.org/cpython/rev/5bd3f9ed357e

New changeset 7be081fa8db1 by Florent Xicluna in branch 'default':
Issue #18375: merge with 3.3
http://hg.python.org/cpython/rev/7be081fa8db1
msg192977 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-07-12 22:22
I know that there is no proper regrtest doc to update, but is there a docstring somewhere in the manual? Or should this be closed?
msg199742 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-13 18:08
I think this is fine to close.
History
Date User Action Args
2013-10-13 18:08:55georg.brandlsetstatus: pending -> closed

nosy: + georg.brandl
messages: + msg199742

resolution: fixed
2013-08-08 17:17:33ezio.melottisetstatus: open -> pending
2013-07-12 22:22:37terry.reedysetnosy: + terry.reedy
messages: + msg192977
2013-07-06 10:28:12python-devsetnosy: + python-dev
messages: + msg192406
2013-07-06 10:09:46floxcreate